<?php
	session_name('library');
	session_start();

	include("functions.php");
	
	head('My Account Informations');
?>

<body>
<div id="main">

<?php
	include("header.php");
	include("menu.php");
?>

<div id="entire_panel">
	<h1>Moje konto</h1>
	
	<?php
	
		if (isset($_SESSION['user'])) {
			
	?>
	
	
				<div class="account">
				<table border="1" class="center_page">
				<tr><td>meno:</td> <strong>
				<td>
				<?php 
					if (isset($_SESSION['name']) && isset($_SESSION['surname'])) { echo $_SESSION['name'] . ' ' . $_SESSION['surname']; } 
					else { echo 'neznáme'; } 
				?></strong>
				</td></tr> 
				<tr><td>email:</td> <strong>
				<td>
				<?php 
					if (isset($_SESSION['email'])) { echo $_SESSION['email']; } 
					else { echo 'neznámy'; } 
				?></strong>
				</td></tr> 
				<tr><td>status:</td> <strong>
				<td>
				<?php 
					if (isset($_SESSION['status'])) {
						if ($_SESSION['status']==1) { echo 'v poriadku'; } 
						else { echo 'blokovany'; }
					} 
				?></strong>
				</td></tr> 
				<tr><td>oprávnenia:</td> <strong>
				<td>
				<?php 
					if (isset($_SESSION['admin'])) {
						if ($_SESSION['admin']==1) { echo 'administrátor'; } 
						else { echo 'bežný používateľ'; }
					} 
				?></strong>
				</td></tr> 
				<tr><td>dátum registrácie:</td> <strong>
				<td>
				<?php 
					if (isset($_SESSION['date_registered'])) { echo $_SESSION['date_registered']; } 
					else { echo 'neznámy'; }  
				?></strong>
				</td></tr>
				<?php
					$link = connect_db();
					
					$orders = "SELECT * FROM users WHERE uid='" . $_SESSION['uid'] . "'"; 
					$result = mysql_query($orders, $link);
					$row = mysql_fetch_assoc($result);
				?>
					<tr><td>počet výpožičiek: </td>
					<td> <strong><a href="books.php"><?php echo "".$row[actual_count]."" ?></a></strong></tr></td>
					<tr><td colspan=2>
				<?php
					$sql = "SELECT photo FROM users WHERE uid='" . $_SESSION['uid'] . "' LIMIT 1;";
					$result = mysql_query($sql, $link);
					if ($result) {
						$row = mysql_fetch_assoc($result);
						if (($row['photo'] != 'default.gif') && (file_exists('images/profiles/'.$row['photo']))){ echo '<img src="images/profiles/' . $row['photo'] . '" height="125" width="200" alt="my photo" />';
						} else { 
							echo '<img src="images/profiles/default.gif" height="125" width="200" alt="default photo" /><p id="red"><strong>Fotografia nebola prilozena.</strong></p>';  
						}
				?>
						</tr></td>
						<tr><td colspan=2>
							<br /><p id="bold"><a href="change_info.php?id=<?php echo $_SESSION[uid]; ?>">[Zmeniť údaje]</a></p>
						</tr></td>
						</table>
			
				<?php
						mysql_free_result($result);
					} else {
						echo '<p id="red">Chyba pri výpise, nastal problém pri získavaní údajov z databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';
					}
					mysql_close($link);
				?>

				</div> 

		<?php
			
		} else { 
			echo '<p><strong>K tejto stránke nemáte prístup. Najprv sa musíte prihlásit.</strong></p>'; 
		}
	
		?>
				
</div>

<?php include("footer.php"); ?>

</div>
</body>
</html>